# soap_wsse_data Struct Reference

wsseapi plugin data More...

`#include <wsseapi.h>`

Collaboration diagram for soap_wsse_data:

[legend]
List of all members.

## Public Attributes

int | sign_alg
const void * | sign_key
int | sign_keylen
int | vrfy_alg
const void * | vrfy_key
int | vrfy_keylen
soap_wsse_digest * | digest
int(* | fpreparesend )(struct soap *, const char *, size_t)
int(* | fpreparefinalsend )(struct soap *)
int(* | fdisconnect )(struct soap *)
X509_STORE * | store
const void *(* | security_token_handler )(struct soap *soap, int alg, int *keylen)

## Detailed Description

wsseapi plugin data

The signature key (private) and verification key (public) are kept in the plugin data, together with other info.

## Member Data Documentation

struct soap_wsse_digest* soap_wsse_data::digest

| List of ID-hash pairs

int(* soap_wsse_data::fdisconnect)(struct soap *)

int(* soap_wsse_data::fpreparefinalsend)(struct soap *)

int(* soap_wsse_data::fpreparesend)(struct soap *, const char *, size_t)

const void*(* soap_wsse_data::security_token_handler)(struct soap *soap, int alg, int *keylen)

int soap_wsse_data::sign_alg

| The digest or signature algorithm used

const void* soap_wsse_data::sign_key

| EVP_PKEY or key string for HMAC

int soap_wsse_data::sign_keylen

| HMAC key length

X509_STORE* soap_wsse_data::store

int soap_wsse_data::vrfy_alg

| The signature verify algorithm used

const void* soap_wsse_data::vrfy_key

| EVP_PKEY or key string for HMAC verify

int soap_wsse_data::vrfy_keylen

| HMAC key length

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/wsseapi.h